العودة للمرجع
POST/merchant-wallets/{merchantId}/payment-link
Merchant wallets

إنشاء رابط دفع

ينشئ بيانات رابط دفع للتاجر والمبلغ.

مستوى الوصولmerchantالحد60/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/Modules/LuxPayIdentity/Http/Controllers/Api/MerchantWalletApiController.php::paymentLinkLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
merchantIdpath
integerإلزامي

Merchant/business identifier.

Example: 10101

جسم الطلب

PaymentLinkRequestإلزامي
amount
number
currency_code
string
description
string | null

JSON example

{
  "amount": 1,
  "currency_code": "string",
  "description": "string"
}

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request POST \
  --url 'https://sandbox-api.luxpay.example/v1/merchant-wallets/10101/payment-link' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "amount": 1,
  "currency_code": "string",
  "description": "string"
}'

الاستجابات

200Successful response.
status
boolean
Example: true
data
object
{
  "status": true,
  "data": {
    "merchant_id": 1,
    "amount": 1,
    "currency_code": "string",
    "description": "string",
    "payment_link": "string"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection